Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.event
Interface ClassUnloadEvent

All Superinterfaces:
  Event, Mirror

    public interface ClassUnloadEvent

extends Event

Notification of a class unload in the target VM.

There are severe constraints on the debugger back-end during garbage collection, so unload information is greatly limited.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`

Method Summary
`String` | `className()` Returns the name of the class that has been unloaded.
`String` | `classSignature()` Returns the JNI-style signature of the class that has been unloaded.

Methods inherited from interface com.sun.jdi.event.Event
`request`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### className

    String className()

  Returns the name of the class that has been unloaded.

### classSignature

    String classSignature()

  Returns the JNI-style signature of the class that has been unloaded.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD